1. Midjourney
梧柏API使用文档
WHBAI · Midjourney
  • WHBAI · Google Gemini 原生 (v1alpha)
  • WHBAI · Google Gemini 原生
  • WHBAI · Ideogram
  • WHBAI · Ideogram V3
  • WHBAI · Midjourney
  • WHBAI · Jimeng
  • WHBAI · Kling
  • WHBAI · Luma
  • WHBAI · Luma V1
  • WHBAI · Omni 视频
  • WHBAI · Pixverse
  • WHBAI · Runway
  • WHBAI · Sora2
  • WHBAI · 统一视频 VEO
  • WHBAI · Vidu
  • WHBAI · 豆包 Volc
  • WHBAI · Suno
  • WHBAI · Playground
  • WHBAI · 账号与令牌
  • WHBAI · 阿里 Pix
  • WHBAI · 阿里百炼
  • WHBAI · 私域人像
  • WHBAI · Fal.ai
  • WHBAI · Replicate
  • WHBAI · 腾讯云 VOD
  • WHBAI · MiniMax
  • WHBAI · 支持模型列表
  • WHBAI · Grok Imagine
  • WHBAI · Seedance 2.0
  • WHBAI · TypeSafe
  • WHBAI · OpenAI 兼容
  • Midjourney
    • 执行Action动作
      POST
    • 上传图片
      POST
    • 提交Imagine任务
      POST
    • 根据任务ID 查询任务状态
      GET
    • 根据ID列表查询任务
      POST
    • 获取任务图片的seed
      GET
    • 提交Blend任务
      POST
    • 提交Describe任务
      POST
    • 提交Modal
      POST
    • 提交 Shorten 任务
      POST
    • 提交 Change(Pan / Zoom)任务
      POST
    • 图像局部编辑(Edits)
      POST
    • 人脸替换(InsightFace Swap)
      POST
  • mj
    • 提交shorten 任务
      GET
    • 图生视频(增强版功能)
      POST
    • 文本指令变换(content)
      POST
  • 数据模型
    • MjSampleRequest
    • MjSampleResponse
    • PostMjSubmitImagineRequest
    • GetMjTaskFetchResponse
    • GetMjTaskIdImageSeedResponse
    • PostMjSubmitBlendRequest
    • PostMjSubmitBlendResponse
    • PostMjSubmitDescribeRequest
    • PostMjSubmitDescribeResponse
    • PostMjSubmitModalRequest
    • PostMjSubmitModalResponse
    • MjSubmitResponse
    • MjTask
    • PostMjTaskListByConditionResponse
    • PostMjSubmitShortenRequest
    • PostMjSubmitChangeRequest
    • PostMjSubmitEditsRequest
    • PostMjInsightFaceSwapRequest
    • NewApiError
  1. Midjourney

执行Action动作

POST
/mj/submit/action
官方文档:https://docs.midjourney.com/hc/en-us/articles/32804058614669-Upscalers
对已有任务执行 Upscale(放大)、Variation(变体)、Reroll(重绘)、Pan(平移)等操作。

网站中的模型与调用示例#

执行动作(放大/变体/平移/重绘等)#

请求参数#

{
  "contentType": "application/json",
  "properties": {
    "customId": {
      "description": "操作标识,取自任务详情 buttons[].customId,决定做放大/变体/平移/重绘等哪种操作,不可自行拼造",
      "examples": [
        "MJ::JOB::variation::2::a1b2c3"
      ],
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "Action id from task detail buttons[].customId. Determines zoom/variation/pan/redraw etc. Do not invent values."
        }
      }
    },
    "notifyHook": {
      "description": "回调地址, 为空时使用全局notifyHook",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "Callback URL; falls back to the global notifyHook when empty"
        }
      }
    },
    "state": {
      "description": "自定义参数",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "The quality of the image that will be generated. `hd` creates images with finer detail and greater consistency. This parameter only supports `dall-e-3`."
        }
      }
    },
    "taskId": {
      "description": "源任务 ID(要操作哪张图的那个任务)",
      "examples": [
        "1719999999999000"
      ],
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "Source task ID (the task whose image you want to act on)."
        }
      }
    }
  },
  "required": [
    "customId",
    "taskId"
  ]
}

执行Action动作#

官方文档:https://docs.midjourney.com/hc/en-us/articles/32804058614669-Upscalers

请求参数#

{
  "contentType": "application/json",
  "properties": {
    "customId": {
      "description": "操作标识,取自任务详情 buttons[].customId,决定做放大/变体/平移/重绘等哪种操作,不可自行拼造",
      "examples": [
        "MJ::JOB::variation::2::a1b2c3"
      ],
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "Action id from task detail buttons[].customId. Determines zoom/variation/pan/redraw etc. Do not invent values."
        }
      }
    },
    "notifyHook": {
      "description": "回调地址, 为空时使用全局notifyHook",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "Callback URL; falls back to the global notifyHook when empty"
        }
      }
    },
    "state": {
      "description": "自定义参数",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "The quality of the image that will be generated. `hd` creates images with finer detail and greater consistency. This parameter only supports `dall-e-3`."
        }
      }
    },
    "taskId": {
      "description": "源任务 ID(要操作哪张图的那个任务)",
      "examples": [
        "1719999999999000"
      ],
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "Source task ID (the task whose image you want to act on)."
        }
      }
    }
  },
  "required": [
    "customId",
    "taskId"
  ]
}

请求示例 · 示例 1#

{
  "chooseSameChannel": true,
  "customId": "MJ::JOB::upsample::2::3dbbd469-36af-4a0f-8f02-df6c579e7011",
  "notifyHook": "",
  "state": "",
  "taskId": "14001934816969359"
}

响应示例 · Create image#

{
  "created": 1589478378,
  "data": [
    {
      "url": "https://..."
    },
    {
      "url": "https://..."
    }
  ]
}

请求参数

Authorization
Bearer Token
在 Header 添加参数
Authorization
,其值为在 Bearer 之后拼接 Token
示例:
Authorization: Bearer ********************
or
Body 参数application/json

示例
{
    "taskId": "1743326750223591",
    "customId": "MJ::JOB::upsample::1::xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
    "botType": "MID_JOURNEY"
}

请求示例代码

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
请求示例请求示例
Shell
JavaScript
Java
Swift
cURL
curl --location '/mj/submit/action' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "taskId": "1743326750223591",
    "customId": "MJ::JOB::upsample::1::xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
    "botType": "MID_JOURNEY"
}'

返回响应

🟢200Create image
application/json
Bodyapplication/json

示例
{
    "created": 1589478378,
    "data": [
        {
            "url": "https://..."
        },
        {
            "url": "https://..."
        }
    ]
}
🟠400请求有误
🟠401没有权限
修改于 2026-10-24 18:33:12
下一页
上传图片
Built with